exports.up = async (knex) => {
  await knex.schema.alterTable('user', (table) => {
    table.string("unsubkey", 16).defaultTo("").notNullable();
    table.boolean("unsubscribe").defaultTo(false).notNullable();
    table.datetime("unsubscribed_on");
  });
}

exports.down = async (knex) => {
  return await knex.schema.alterTable("user", (table) => {
    table.dropColumn('unsubkey');
    table.dropColumn("unsubscribe");
    table.dropColumn("unsubscribed_on");
  })
}
